Update Customers
Updates Customers. Subresource updates are not supported.
Required Fields
- id — ID of the Customer This must be included in the request body
Read Only Fields
- id
- registration_ip_address
- date_created
- date_modified
- origin_channel_id
Limits
- Limit of 10 customers per call.
- Limit of 3 concurrent requests
Notes
- Attributes Values can not be updated using Update a Customer. Use the Update customer attribute values endpoint.
- channel_ids — Updating the list of channels a customer can access may create some side effects in a multi-storefront situation. This list determines which customer account we will use to authenticate a shopper given a channel.
- origin_channel_id — This is an immutable value set as a reference to the channel of origin when a customer is created.
Authentication
X-Auth-Tokenstring
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
store_hash
Permanent ID of the BigCommerce store.
Request
This endpoint expects a list of objects.
id
The unique numeric ID of the customer.
email
The email of the customer. Must be unique.
first_name
The first name of the customer.
last_name
The last name of the customer.
company
The company of the customer.
phone
The phone number of the customer.
registration_ip_address
The IP address from which this customer was registered.
notes
The customer notes.
tax_exempt_category
The tax exempt category code for the customer.
customer_group_id
ID of the group which this customer belongs to.
authentication
accepts_product_review_abandoned_cart_emails
It determines if the customer is signed up to receive either product review or abandoned cart emails or receive both emails.
store_credit_amounts
Store credit.
origin_channel_id
Channel ID of the customer that has created the form.
channel_ids
Arrays of channels the customer can access.
form_fields
Array of form fields. Controlled by formfields parameter.
Response
Customer Collection Response
data
meta
Response metadata.
Errors
413
Content Too Large Error
422
Unprocessable Entity Error